function AppAssistant(appController) {
	this.appController = appController;
}

function StageAssistant(stageController) {
	this.stageController = stageController;
	this.stageController.pushScene("devmodeswitcher");
}

AppAssistant.prototype.handleRelaunch = function() {
	var stageMgr = Mojo.Controller.getAppController().getStageMgr();
	if (stageMgr.stageExists("devmodeswitcher")) {
		this.appController.getStageMgr().focusStage("devmodeswitcher");
	} else {
		var f = function(stageController) {
			this.stageController = stageController;
			stageController.pushScene('devmodeswitcher');
		}.bind(this);
		Mojo.Controller.getAppController().createStageWithCallback("devmodeswitcher", f);
	}
}

